## ros-rolling-rmw-fastrtps-dynamic-cpp 6.1.2

=== CMakeLists.txt ===
# Copyright 2016-2018 Proyectos y Sistemas de Mantenimiento SL (eProsima).
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

cmake_minimum_required(VERSION 3.5)

project(rmw_fastrtps_dynamic_cpp)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(SECURITY)
  find_package(OpenSSL REQUIRED)
endif()

find_package(ament_cmake_ros REQUIRED)

find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(rmw_dds_common REQUIRED)
find_package(rmw_fastrtps_shared_cpp REQUIRED)

find_package(fastrtps_cmake_module REQUIRED)
find_package(fastcdr REQUIRED CONFIG)
find_package(fastrtps 2.3 REQUIRED CONFIG)
find_package(FastRTPS 2.3 REQUIRED MODULE)

find_package(rmw REQUIRED)
find_package(rosidl_runtime_c REQUIRED)
find_package(rosidl_typesupport_fastrtps_c REQUIRED)
find_package(rosidl_typesupport_fastrtps_cpp REQUIRED)
find_package(rosidl_typesupport_introspection_c REQUIRED)
find_package(rosidl_typesupport_introspection_cpp REQUIRED)

include_directories(include)

add_library(rmw_fastrtps_dynamic_cpp
  src/client_service_common.cpp
  src/get_client.cpp
  src/get_participant.cpp
  src/get_publisher.cpp
  src/get_service.cpp
  src/get_subscriber.cpp
  src/identifier.cpp
  src/init_rmw_context_impl.cpp
  src/publisher.cpp
  src/rmw_client.cpp
  src/rmw_compare_gids_equal.cpp
  src/rmw_count.cpp
  src/rmw_event.cpp
  src/rmw_get_gid_for_publisher.cpp
  src/rmw_get_implementation_identifier.cpp
  src/rmw_get_serialization_format.cpp
  src/rmw_get_topic_endpoint_info.cpp
  src/rmw_guard_condition.cpp
  src/rmw_init.cpp
  src/rmw_logging.cpp
  src/rmw_node.cpp
  src/rmw_node_info_and_types.cpp
  src/rmw_node_names.cpp
  src/rmw_publish.cpp
  src/rmw_publisher.cpp
  src/rmw_qos.cpp
  src/rmw_request.cpp
  src/rmw_response.cpp
  src/rmw_serialize.cpp
  src/rmw_service.cpp
  src/rmw_service_names_and_types.cpp
  src/rmw_service_server_is_available.cpp
  src/rmw_subscription.cpp
  src/rmw_take.cpp
  src/rmw_topic_names_and_types.cpp
  src/rmw_trigger_guard_condition.cpp
  src/rmw_wait.cpp
  src/rmw_wait_set.cpp
  src/serialization_format.cpp
  src/subscription.cpp
  src/type_support_common.cpp
  src/type_support_proxy.cpp
  src/type_support_registry.cpp
  src/rmw_get_endpoint_network_flow.cpp
)
target_link_libraries(rmw_fastrtps_dynamic_cpp
  fastcdr fastrtps)

# specific order: dependents before dependencies
ament_target_dependencies(rmw_fastrtps_dynamic_cpp
  "rcpputils"
  "rcutils"
  "rosidl_typesupport_fastrtps_c"
  "rosidl_typesupport_fastrtps_cpp"
  "rosidl_typesupport_introspection_c"
  "rosidl_typesupport_introspection_cpp"
  "rmw_dds_common"
  "rmw_fastrtps_shared_cpp"
  "rmw"
  "rosidl_runtime_c"
)

target_link_libraries(rmw_fastrtps_dynamic_cpp
  ${rmw_dds_common_LIBRARIES__rosidl_typesupport_introspection_cpp}
)

configure_rmw_library(rmw_fastrtps_dynamic_cpp)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME}
PRIVATE "RMW_FASTRTPS_DYNAMIC_CPP_BUILDING_LIBRARY")

# specific order: dependents before dependencies
ament_export_include_directories(include)
ament_export_libraries(rmw_fastrtps_dynamic_cpp)

ament_export_dependencies(rcpputils)
ament_export_dependencies(rcutils)
ament_export_dependencies(rmw)
ament_export_dependencies(rmw_dds_common)
ament_export_dependencies(rmw_fastrtps_shared_cpp)
ament_export_dependencies(rosidl_runtime_c)
ament_export_dependencies(rosidl_typesupport_fastrtps_c)
ament_export_dependencies(rosidl_typesupport_fastrtps_cpp)
ament_export_dependencies(rosidl_typesupport_introspection_c)
ament_export_dependencies(rosidl_typesupport_introspection_cpp)

register_rmw_implementation(
  "c:rosidl_typesupport_c:rosidl_typesupport_introspection_c"
  "cpp:rosidl_typesupport_cpp:rosidl_typesupport_introspection_cpp")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(osrf_testing_tools_cpp REQUIRED)
  find_package(test_msgs REQUIRED)

  ament_add_gtest(test_get_native_entities
    test/test_get_native_entities.cpp)
  ament_target_dependencies(test_get_native_entities
    osrf_testing_tools_cpp rcutils rmw test_msgs
  )
  target_link_libraries(test_get_native_entities rmw_fastrtps_dynamic_cpp)

  ament_add_gtest(test_logging test/test_logging.cpp)
  ament_target_dependencies(test_logging rmw)
  target_link_libraries(test_logging rmw_fastrtps_dynamic_cpp)
endif()

ament_package(
  CONFIG_EXTRAS_POST "rmw_fastrtps_dynamic_cpp-extras.cmake"
)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS rmw_fastrtps_dynamic_cpp
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

=== debian/changelog ===
ros-rolling-rmw-fastrtps-dynamic-cpp (6.1.2-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.1.1-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.1.0-1focal) focal; urgency=high

  * Add client/service QoS getters. (#560 <https://github.com/ros2/rmw_fastrtps/issues/560>)
  * Contributors: mauropasse

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 19 Nov 2021 08:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.0.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 15 Sep 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (5.2.2-1focal) focal; urgency=high

  * Correctly recalculate serialized size on bounded sequences. (#540 <https://github.com/ros2/rmw_fastrtps/issues/540>)
  * Fix type size alignment. (#550 <https://github.com/ros2/rmw_fastrtps/issues/550>)
  * Contributors: Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 09 Aug 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (5.2.1-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 30 Jun 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (5.2.0-1focal) focal; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#519 <https://github.com/ros2/rmw_fastrtps/issues/519>)
  * Contributors: Barry Xu

 -- Michel Hidalgo <michel@ekumenlabs.com>  Fri, 04 Jun 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (5.1.0-1focal) focal; urgency=high

  * Loan messages implementation (#523 <https://github.com/ros2/rmw_fastrtps/issues/523>)
    * Added is_plain_ attribute to base TypeSupport.
    * Added new methods to base TypeSupport.
    * Implementation of rmw_borrow_loaned_message.
    * Implementation of rmw_return_loaned_message_from_publisher.
    * Enable loan messages on publishers of plain types.
    * Implementation for taking loaned messages.
    * Enable loan messages on subscriptions of plain types.
  * Contributors: Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 12 May 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (5.0.0-1focal) focal; urgency=high

  * Refactor to use DDS standard API (#518 <https://github.com/ros2/rmw_fastrtps/issues/518>)
  * Unique network flows (#502 <https://github.com/ros2/rmw_fastrtps/issues/502>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#520 <https://github.com/ros2/rmw_fastrtps/issues/520>)
  * Contributors: Miguel Company, shonigmann

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (4.5.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (4.4.0-1focal) focal; urgency=high

  * Add RMW function to check QoS compatibility (#511 <https://github.com/ros2/rmw_fastrtps/issues/511>)
  * Capture cdr exceptions (#505 <https://github.com/ros2/rmw_fastrtps/issues/505>)
  * Load profiles based on topic names in rmw_fastrtps_dynamic_cpp (#497 <https://github.com/ros2/rmw_fastrtps/issues/497>)
  * Contributors: Eduardo Ponz Segrelles, Jacob Perron, Miguel Company

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 01 Mar 2021 08:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (4.3.0-1focal) focal; urgency=high

  * Set rmw_dds_common::GraphCache callback after init succeeds. (#496 <https://github.com/ros2/rmw_fastrtps/issues/496>)
  * Handle typesupport errors on fetch. (#495 <https://github.com/ros2/rmw_fastrtps/issues/495>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (4.2.0-1focal) focal; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 10 Dec 2020 08:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (4.1.0-1focal) focal; urgency=high

  * Check for correct context shutdown (#486 <https://github.com/ros2/rmw_fastrtps/issues/486>)
  * New environment variable to change easily the publication mode (#470 <https://github.com/ros2/rmw_fastrtps/issues/470>)
  * Contributors: Ignacio Montesino Valle, José Luis Bueno López

 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (4.0.0-1focal) focal; urgency=high

  * Discriminate when the Client has gone from when the Client has not completely matched (#467 <https://github.com/ros2/rmw_fastrtps/issues/467>)
    * Workaround when the client is gone before server sends response
    * Change add to the map to listener callback
  * Update the package.xml files with the latest Open Robotics maintainers (#459 <https://github.com/ros2/rmw_fastrtps/issues/459>)
  * Update Quality Declarations and READMEs (#455 <https://github.com/ros2/rmw_fastrtps/issues/455>)
    * Add QL of external dependencies to rmw_fastrtps_dynamic_cpp QD
    * Add QD links for dependencies to rmw_fastrtps_dynamic_cpp QD
    * Provide external dependencies QD links
    * Add README to rmw_fastrtps_dynamic
    * Add QD for rmw_fastrtps_dynamic
  * Contributors: JLBuenoLopez-eProsima, Jaime Martin Losa, José Luis Bueno López, Michael Jeronimo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 22 Oct 2020 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (3.1.4-1focal) focal; urgency=high

  * Ensure rmw_destroy_node() completes despite run-time errors. (#458 <https://github.com/ros2/rmw_fastrtps/issues/458>)
  * Contributors: Michel Hidalgo

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Oct 2020 07:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (3.1.3-1focal) focal; urgency=high

  * Return RMW_RET_UNSUPPORTED in rmw_get_serialized_message_size (#452 <https://github.com/ros2/rmw_fastrtps/issues/452>)
  * Contributors: Alejandro Hernández Cordero



=== debian/control ===
Source: ros-rolling-rmw-fastrtps-dynamic-cpp
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-fastcdr, ros-rolling-fastrtps, ros-rolling-fastrtps-cmake-module, ros-rolling-osrf-testing-tools-cpp, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-rmw-fastrtps-shared-cpp, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp, ros-rolling-rosidl-typesupport-introspection-c, ros-rolling-rosidl-typesupport-introspection-cpp, ros-rolling-test-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmw-fastrtps-dynamic-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake, ros-rolling-fastcdr, ros-rolling-fastrtps, ros-rolling-fastrtps-cmake-module, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-rmw-fastrtps-shared-cpp, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp, ros-rolling-rosidl-typesupport-introspection-c, ros-rolling-rosidl-typesupport-introspection-cpp, ros-rolling-ros-workspace
Description: Implement the ROS middleware interface using introspection type support.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rmw-fastrtps-dynamic-cpp//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rmw-fastrtps-dynamic-cpp 7.5.0

=== debian/changelog ===
ros-rolling-rmw-fastrtps-dynamic-cpp (7.5.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (7.4.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (7.3.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (7.2.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (7.2.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (7.1.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (7.1.0-1jammy) jammy; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rmw_fastrtps (#687 <https://github.com/ros2/rmw_fastrtps/issues/687>)
  * Runtime Interface Reflection: rmw_fastrtps (#655 <https://github.com/ros2/rmw_fastrtps/issues/655>)
  * [rmw_fastrtps] Improve handling of dynamic discovery (#653 <https://github.com/ros2/rmw_fastrtps/issues/653>)
  * Call get_type_hash_func (#680 <https://github.com/ros2/rmw_fastrtps/issues/680>)
  * Type hash distribution in discovery (rep2011) (#671 <https://github.com/ros2/rmw_fastrtps/issues/671>)
  * Implement inconsistent topic event (#654 <https://github.com/ros2/rmw_fastrtps/issues/654>)
  * Update all rmw_fastrtps packages to C++17. (#674 <https://github.com/ros2/rmw_fastrtps/issues/674>)
  * Contributors: Chris Lalancette, Emerson Knapp, Geoffrey Biggs, methylDragon

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (7.0.0-1jammy) jammy; urgency=high

  * Rewrite how Topics are tracked in rmw_fastrtps_cpp. (#669 <https://github.com/ros2/rmw_fastrtps/issues/669>)
  * Allow loaned messages without data-sharing (#568 <https://github.com/ros2/rmw_fastrtps/issues/568>)
  * Fix incoherent dissociate_writer to dissociate_reader (#647 <https://github.com/ros2/rmw_fastrtps/issues/647>) (#649 <https://github.com/ros2/rmw_fastrtps/issues/649>)
  * [rolling] Update maintainers - 2022-11-07 (#643 <https://github.com/ros2/rmw_fastrtps/issues/643>)
  * Contributors: Audrow Nash, Chris Lalancette, Miguel Company, Oscarchoi

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.5.0-1jammy) jammy; urgency=high

  * Add rmw_get_gid_for_client impl (#631 <https://github.com/ros2/rmw_fastrtps/issues/631>)
  * Contributors: Brian

 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.4.0-1jammy) jammy; urgency=high

  * Use Fast-DDS Waitsets instead of listeners (#619 <https://github.com/ros2/rmw_fastrtps/issues/619>)
  * Revert "add line feed for RCUTILS_SAFE_FWRITE_TO_STDERR (#608 <https://github.com/ros2/rmw_fastrtps/issues/608>)" (#612 <https://github.com/ros2/rmw_fastrtps/issues/612>)
  * add line feed for RCUTILS_SAFE_FWRITE_TO_STDERR (#608 <https://github.com/ros2/rmw_fastrtps/issues/608>)
  * Allow null arguments in the EventsExecutor parameters (#602 <https://github.com/ros2/rmw_fastrtps/issues/602>)
  * Add EventExecutor to rmw_fastrtps_dynamic_cpp
  * Fix cpplint error (#601 <https://github.com/ros2/rmw_fastrtps/issues/601>)
  * Contributors: Jose Luis Rivero, Ricardo González, Tomoya Fujita

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.3.0-1jammy) jammy; urgency=high

  * Handle 'best_available' QoS policies (#598 <https://github.com/ros2/rmw_fastrtps/issues/598>)
  * Contributors: Jacob Perron

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 03 May 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.2.1-1jammy) jammy; urgency=high

  * Add content filter topic feature (#513 <https://github.com/ros2/rmw_fastrtps/issues/513>)
  * Add sequence numbers to message info structure (#587 <https://github.com/ros2/rmw_fastrtps/issues/587>)
  * Contributors: Chen Lihui, Ivan Santiago Paunovic

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.2.0-1jammy) jammy; urgency=high

  * Add EventsExecutor (#468 <https://github.com/ros2/rmw_fastrtps/issues/468>)
  * Install headers to include/${PROJECT_NAME} (#578 <https://github.com/ros2/rmw_fastrtps/issues/578>)
  * Contributors: Shane Loretz, iRobot ROS

 -- Geoffrey Biggs <geoff@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.1.2-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.1.1-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.1.0-1jammy) jammy; urgency=high

  * Add client/service QoS getters. (#560 <https://github.com/ros2/rmw_fastrtps/issues/560>)
  * Contributors: mauropasse

 -- Geoffrey Biggs <geoff@openrobotics.org>  Fri, 19 Nov 2021 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (6.0.0-1jammy) jammy; urgency=high



 -- Geoffrey Biggs <geoff@openrobotics.org>  Wed, 15 Sep 2021 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (5.2.2-1jammy) jammy; urgency=high

  * Correctly recalculate serialized size on bounded sequences. (#540 <https://github.com/ros2/rmw_fastrtps/issues/540>)
  * Fix type size alignment. (#550 <https://github.com/ros2/rmw_fastrtps/issues/550>)
  * Contributors: Miguel Company

 -- Geoffrey Biggs <geoff@openrobotics.org>  Mon, 09 Aug 2021 00:00:00 -0000

ros-rolling-rmw-fastrtps-dynamic-cpp (5.2.1-1jammy) jammy; urgency=high





=== debian/control ===
Source: ros-rolling-rmw-fastrtps-dynamic-cpp
Section: misc
Priority: optional
Maintainer: Geoffrey Biggs <geoff@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-fastcdr, ros-rolling-fastrtps, ros-rolling-fastrtps-cmake-module, ros-rolling-osrf-testing-tools-cpp <!nocheck>, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-rmw-fastrtps-shared-cpp, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp, ros-rolling-rosidl-typesupport-introspection-c, ros-rolling-rosidl-typesupport-introspection-cpp, ros-rolling-test-msgs <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rmw-fastrtps-dynamic-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake, ros-rolling-fastcdr, ros-rolling-fastrtps, ros-rolling-fastrtps-cmake-module, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-dds-common, ros-rolling-rmw-fastrtps-shared-cpp, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp, ros-rolling-rosidl-typesupport-introspection-c, ros-rolling-rosidl-typesupport-introspection-cpp, ros-rolling-ros-workspace
Description: Implement the ROS middleware interface using introspection type support.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
